For the complete documentation index, see llms.txt. This page is also available as Markdown.

Picking endpoints

Create pick job

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PickJobForCreation

customAttributesobjectOptional

Attributes that can be added to the pickjob. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

facilityRefstringRequired

The id of the facility reference. The given ID has to be present in the system.

Example: Esb20gpHBL94X5NdMp3C
operativeProcessRefstringOptional
orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
orderRefstringOptional

The id of the order reference. The given ID has to be present in the system.

Example: LGMl2DuvPnfPoSHhYFOm
processIdstringOptional

Id of the global process related to this entity. For example used for starting the GDPR process and others.

routingPlanRefstringOptional

Reference to the routingplan which created this pickjob

shortIdstringOptional

A short identifier that helps assigning a pick job to a customer.

Example: AS12
statusstring · enumOptional

The status of a pickjob.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
workflowInformationone ofOptional
or
Responses
201

The pick job was successfully created. The Location header contains the URL of the pickjob.

application/json

VersionedResource

customAttributesobjectOptional

Attributes that can be added to the pickjob. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

facilityRefstringRequired

The id of the facility reference. The given ID has to be present in the system.

Example: Esb20gpHBL94X5NdMp3C
operativeProcessRefstringOptional
orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
orderRefstringOptional

The id of the order reference. The given ID has to be present in the system.

Example: LGMl2DuvPnfPoSHhYFOm
processIdstringOptional

Id of the global process related to this entity. For example used for starting the GDPR process and others.

routingPlanRefstringOptional

Reference to the routingplan which created this pickjob

shortIdstringRequired

A short identifier that helps assigning a pickJob to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequired

The status of a pickjob.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
workflowInformationone ofRequired
or
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
documentsRefstringRequired

Reference to the documents collection from this entity

idstringRequired

The id of this pickjob. It is generated during creation automatically and suits as the primary identifier of the described entity.

Example: Esb20gpHBL94X5NdMp3C
pickRunRefstringOptional

Pick run id to which the pick job belongs

resetBlockedbooleanOptional

Indicates if pickJob can still be resetted or restarted

Default: false
statusReasonstringOptionalDeprecated

deprecated: Use subStatus instead. Maintained for backward compatibility.

subStatusstring · enumOptional

The reason for the current status.

Possible values:
post/api/pickjobs
POST /api/pickjobs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4086

{
  "assignedUsers": [
    {
      "username": "text"
    }
  ],
  "customAttributes": {},
  "deliveryinformation": {
    "channel": "COLLECT",
    "details": {
      "collect": {
        "identifier": "text",
        "paid": false
      },
      "shipping": {
        "carrierKey": "text",
        "carrierProduct": "EXPRESS",
        "carrierProductCategory": "STANDARD",
        "carrierServices": [
          "SIGNATURE"
        ],
        "identifier": "text",
        "invoiceAddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "postalAddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "recipientaddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "serviceLevel": "DELIVERY"
      }
    },
    "targetTime": "2020-02-03T09:45:51.525Z",
    "targetTimeBaseDate": "2020-02-03T08:45:50.525Z"
  },
  "expectedPickLineItems": [],
  "facilityRef": "Esb20gpHBL94X5NdMp3C",
  "operativeProcessRef": "text",
  "orderDate": "2020-02-03T08:45:50.525Z",
  "orderRef": "LGMl2DuvPnfPoSHhYFOm",
  "paymentInformation": {
    "currency": "EUR"
  },
  "pickingTimes": {
    "startLatestAt": "2024-02-03T09:45:51.525Z"
  },
  "pickLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "text",
      "measurementUnitKey": "pcs",
      "quantity": 1,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "recordingRule": "MANDATORY",
          "validations": [
            {
              "allowedValues": [
                {
                  "type": "STRING"
                }
              ],
              "type": "EXACT_MATCH"
            }
          ],
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "g",
      "secondaryQuantity": 42,
      "substituteForOrderedItem": {
        "article": {
          "titleLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "https://example.com/resource",
          "tenantArticleId": "4711",
          "title": "Cologne Water",
          "weight": 1
        },
        "globalLineItemId": "text"
      }
    }
  ],
  "preferredPickingMethods": [
    "SINGLE_ORDER"
  ],
  "processId": "text",
  "routingPlanRef": "text",
  "shortId": "AS12",
  "status": "ABORTED",
  "stickers": [],
  "tenantOrderId": "R456728546",
  "transfers": [
    {
      "id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
      "type": "RECEIVER"
    }
  ],
  "workflowInformation": {
    "instanceRef": "64c13ab08edf48a008793cac",
    "isAvailable": true,
    "nodeRef": "text"
  },
  "tags": []
}
{
  "assignedUsers": [
    {
      "userId": "text",
      "username": "text"
    }
  ],
  "customAttributes": {},
  "deliveryinformation": {
    "channel": "COLLECT",
    "details": {
      "collect": {
        "identifier": "text",
        "paid": false
      },
      "shipping": {
        "carrierKey": "text",
        "carrierProduct": "EXPRESS",
        "carrierProductCategory": "STANDARD",
        "carrierServices": [
          "SIGNATURE"
        ],
        "identifier": "text",
        "invoiceAddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "postalAddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "recipientaddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "serviceLevel": "DELIVERY"
      }
    },
    "targetTime": "2020-02-03T09:45:51.525Z",
    "targetTimeBaseDate": "2020-02-03T08:45:50.525Z"
  },
  "expectedPickLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "partialStockLocations": [
        {
          "available": 21,
          "location": {
            "locationRef": "text",
            "scannableCodes": [
              "text"
            ]
          },
          "quantity": 21,
          "ratingScore": 1,
          "sequenceScore": 1,
          "stockProperties": {
            "expiry": "text"
          },
          "stockRef": "text",
          "tenantPartialStockId": "text"
        }
      ],
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "stickers": [],
      "transferId": "text",
      "tags": []
    },
    {
      "id": "climk4dcQFiPdA5ULuhS"
    }
  ],
  "facilityRef": "Esb20gpHBL94X5NdMp3C",
  "operativeProcessRef": "text",
  "orderDate": "2020-02-03T08:45:50.525Z",
  "orderRef": "LGMl2DuvPnfPoSHhYFOm",
  "paymentInformation": {
    "currency": "EUR"
  },
  "pickingTimes": {
    "startLatestAt": "2024-02-03T09:45:51.525Z"
  },
  "pickLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "a81f818e-2405-4570-8cde-b0c80fd3de31",
      "id": "climk4dcQFiPdA5ULuhS",
      "measurementUnitKey": "liter",
      "quantity": 21,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "originId": "df671041-10dd-4600-a2ff-e9ffe2556bba",
      "partialStockLocations": [
        {
          "available": 21,
          "location": {
            "locationRef": "text",
            "scannableCodes": [
              "text"
            ]
          },
          "quantity": 21,
          "ratingScore": 1,
          "sequenceScore": 1,
          "stockProperties": {
            "expiry": "text"
          },
          "stockRef": "text",
          "tenantPartialStockId": "text"
        }
      ],
      "picked": 20,
      "pickedAt": "2024-02-03T08:45:51.525Z",
      "pickJobLineItemRef": "12345",
      "scannedCodes": [
        {
          "code": 1245678,
          "quantity": 7
        }
      ],
      "scanningRules": {
        "scanningMode": "MUST_SCAN_FIRST",
        "scanningType": [
          {
            "priority": 1,
            "scanningRuleType": "ARTICLE"
          }
        ]
      },
      "secondaryPicked": 20,
      "shortPickReason": {
        "reasonLocalized": "{ en_US: 'SomeName' }",
        "reason": "text"
      },
      "status": "OPEN",
      "stickers": [],
      "stockEmptied": true,
      "substituteLineItems": [
        {
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "customAttributes": {},
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1,
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ]
          },
          "globalLineItemId": "text",
          "id": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "partialStockLocations": [
            {
              "location": {
                "locationRef": "text",
                "scannableCodes": [
                  "text"
                ]
              },
              "picked": 21,
              "quantity": 21,
              "ratingScore": 1,
              "sequenceScore": 1,
              "stockProperties": {
                "expiry": "text"
              },
              "stockRef": "text",
              "tenantPartialStockId": "text",
              "zoneName": "text"
            }
          ],
          "picked": 20,
          "pickedAt": "2024-02-03T08:45:51.525Z",
          "priority": 1,
          "quantity": 21,
          "refused": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "text",
              "quantity": 1,
              "reason": "text"
            }
          ],
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "secondaryPicked": 20,
          "secondaryQuantity": 200
        }
      ],
      "tags": []
    }
  ],
  "preferredPickingMethods": [
    "SINGLE_ORDER"
  ],
  "processId": "text",
  "routingPlanRef": "text",
  "shortId": "AS12",
  "status": "ABORTED",
  "stickers": [],
  "tenantOrderId": "R456728546",
  "transfers": [
    {
      "id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
      "type": "RECEIVER"
    }
  ],
  "workflowInformation": {
    "instanceRef": "64c13ab08edf48a008793cac",
    "isAvailable": true,
    "nodeRef": "text"
  },
  "tags": [],
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42,
  "anonymized": false,
  "documentHandling": {
    "sendLabel": {
      "enabled": false
    }
  },
  "documentsRef": "text",
  "editor": {
    "userId": "text",
    "username": "text"
  },
  "id": "Esb20gpHBL94X5NdMp3C",
  "pickingZones": [
    {
      "zoneRef": "text"
    }
  ],
  "pickRunRef": "text",
  "resetBlocked": false,
  "subStatus": "SHORT_PICKED",
  "usersModificationHistory": [
    {
      "modificationDate": "2026-01-01T00:00:00.000Z",
      "userId": "text",
      "username": "text"
    }
  ]
}

List pick jobs

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
searchTermstringOptional

Search term you want to get the corresponding pickjobs. Search will be performed on multiple fields, like tenantOrderId, consumerName, tenantArticleId and more

carrierKeysstring[]Optional

Reference to the carrier you want to get the corresponding pickjobs

startOrderDatestringOptional

Reference to the orderDate you want to get the corresponding pickjobs

endOrderDatestringOptional

Reference to the orderDate you want to get the corresponding pickjobs

orderRefstringOptional

Reference to the order you want to get the corresponding pickjobs

facilityRefstringOptional

Reference to the facility you want to get the corresponding pickjobs

assignedUserstringOptional

Reference the assigned user on this entity - id or username

statusstring[]Optional

Reference to the status you want to get the corresponding pickjobs

zoneRefsstring[]Optional

Reference to the zones you want to get the corresponding pickjobs

tenantOrderIdstringOptional

Reference to the tenantOrderId you want to get the corresponding pickjobs

channelstring · enumOptional

The channel of the pickJob you want to filter by

Possible values:
consumerNamestringOptional

Reference to the consumer name you want to get the corresponding pickjobs

shortIdstringOptional

Reference to the shortId you want to get the corresponding pickjobs

articleTitlestringOptional

Reference to the articleTitle you want to get the corresponding pickjobs

anonymizedbooleanOptional

Reference to the anonymized you want to get the corresponding pickjobs

startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
orderBystringOptional

query pickjobs orderBy

startTargetTimestring · date-timeOptional

Start date range for pick jobs

Example: 2020-02-03T08:45:50.525Z
endTargetTimestring · date-timeOptional

End date range for pick jobs

Example: 2020-02-03T08:45:50.525Z
pickJobRefsstring[]Optional

Reference to pickjobs

modifiedByUsernamestringOptional

Reference to the user ID you want to get the corresponding pickjobs

Responses
200

PickJobs were found. The results are in the body.

application/json

StrippedPickJobs

totalintegerOptional

Total number of found entities for this query

Example: 42
get/api/pickjobs
GET /api/pickjobs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "pickjobs": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "version": 42,
      "carrierKey": "DPD",
      "facilityRef": "Esb20gpHBL94X5NdMp3C",
      "id": "text",
      "orderRef": "LGMl2DuvPnfPoSHhYFOm",
      "searchPaths": [
        "text"
      ],
      "status": "ABORTED",
      "targetTime": "2020-02-03T09:45:51.525Z"
    }
  ],
  "total": 42
}

List pick jobs (search)

post

Search for PickJob

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PickJobSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

PickJobPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/pickjobs/search
POST /api/pickjobs/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 5908

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "consumerName": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "preferredPickingMethods": {
              "contains": {
                "eq": "SINGLE_ORDER",
                "in": [
                  "SINGLE_ORDER"
                ],
                "notEq": "SINGLE_ORDER"
              }
            },
            "status": {
              "eq": "ABORTED",
              "in": [
                "ABORTED"
              ],
              "notEq": "ABORTED"
            },
            "targetTime": "2026-06-17T12:00:00.000Z",
            "tenantArticleIds": {
              "contains": {
                "eq": "text",
                "notEq": "text"
              }
            },
            "tenantOrderId": "MY_ORDER_ID",
            "transfers": {
              "contains": {
                "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              },
              "exists": true
            }
          }
        ],
        "consumerName": {
          "eq": "text",
          "in": [
            "text"
          ],
          "like": "text",
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "consumerName": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "preferredPickingMethods": {
              "contains": {
                "eq": "SINGLE_ORDER",
                "in": [
                  "SINGLE_ORDER"
                ],
                "notEq": "SINGLE_ORDER"
              }
            },
            "status": {
              "eq": "ABORTED",
              "in": [
                "ABORTED"
              ],
              "notEq": "ABORTED"
            },
            "targetTime": "2026-06-17T12:00:00.000Z",
            "tenantArticleIds": {
              "contains": {
                "eq": "text",
                "notEq": "text"
              }
            },
            "tenantOrderId": "MY_ORDER_ID",
            "transfers": {
              "contains": {
                "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              },
              "exists": true
            }
          }
        ],
        "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "preferredPickingMethods": {
          "contains": {
            "eq": "SINGLE_ORDER",
            "in": [
              "SINGLE_ORDER"
            ],
            "notEq": "SINGLE_ORDER"
          }
        },
        "status": {
          "eq": "ABORTED",
          "in": [
            "ABORTED"
          ],
          "notEq": "ABORTED"
        },
        "targetTime": "2026-06-17T12:00:00.000Z",
        "tenantArticleIds": {
          "contains": {
            "eq": "text",
            "notEq": "text"
          }
        },
        "tenantOrderId": "MY_ORDER_ID",
        "transfers": {
          "contains": {
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
          },
          "exists": true
        }
      }
    ],
    "consumerName": {
      "eq": "text",
      "in": [
        "text"
      ],
      "like": "text",
      "notEq": "text",
      "notIn": [
        "text"
      ]
    },
    "created": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "lastModified": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "consumerName": {
          "eq": "text",
          "in": [
            "text"
          ],
          "like": "text",
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": "[Circular Reference]",
        "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "preferredPickingMethods": {
          "contains": {
            "eq": "SINGLE_ORDER",
            "in": [
              "SINGLE_ORDER"
            ],
            "notEq": "SINGLE_ORDER"
          }
        },
        "status": {
          "eq": "ABORTED",
          "in": [
            "ABORTED"
          ],
          "notEq": "ABORTED"
        },
        "targetTime": "2026-06-17T12:00:00.000Z",
        "tenantArticleIds": {
          "contains": {
            "eq": "text",
            "notEq": "text"
          }
        },
        "tenantOrderId": "MY_ORDER_ID",
        "transfers": {
          "contains": {
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
          },
          "exists": true
        }
      }
    ],
    "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "preferredPickingMethods": {
      "contains": {
        "eq": "SINGLE_ORDER",
        "in": [
          "SINGLE_ORDER"
        ],
        "notEq": "SINGLE_ORDER"
      }
    },
    "status": {
      "eq": "ABORTED",
      "in": [
        "ABORTED"
      ],
      "notEq": "ABORTED"
    },
    "targetTime": "2026-06-17T12:00:00.000Z",
    "tenantArticleIds": {
      "contains": {
        "eq": "text",
        "notEq": "text"
      }
    },
    "tenantOrderId": "MY_ORDER_ID",
    "transfers": {
      "contains": {
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
      },
      "exists": true
    }
  },
  "size": 10,
  "sort": [
    {
      "created": "ASC",
      "lastModified": "ASC",
      "targetTime": "ASC",
      "tenantOrderId": "ASC"
    }
  ]
}
{
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "pickJobs": [
    {
      "assignedUsers": [
        {
          "userId": "text",
          "username": "text"
        }
      ],
      "customAttributes": {},
      "deliveryinformation": {
        "channel": "COLLECT",
        "details": {
          "collect": {
            "identifier": "text",
            "paid": false
          },
          "shipping": {
            "carrierKey": "text",
            "carrierProduct": "EXPRESS",
            "carrierProductCategory": "STANDARD",
            "carrierServices": [
              "SIGNATURE"
            ],
            "identifier": "text",
            "invoiceAddress": {
              "addressType": "POSTAL_ADDRESS",
              "companyName": "Speedy Boxales Ltd.",
              "coordinates": {
                "lat": 50.937531,
                "lon": 6.960279
              },
              "email": "test@try.de",
              "firstName": "Maxine",
              "lastName": "Muller",
              "personalTitle": "Dr.",
              "salutation": "Frau",
              "additionalAddressInfo": "to care of: Mrs. Müller",
              "city": "Langenfeld",
              "country": "DE",
              "customAttributes": {},
              "houseNumber": "42a",
              "phoneNumbers": [
                {
                  "customAttributes": {},
                  "label": "text",
                  "type": "MOBILE",
                  "value": "text"
                }
              ],
              "postalCode": "40764",
              "province": "NRW",
              "street": "Hauptstr."
            },
            "postalAddress": {
              "addressType": "POSTAL_ADDRESS",
              "companyName": "Speedy Boxales Ltd.",
              "coordinates": {
                "lat": 50.937531,
                "lon": 6.960279
              },
              "email": "test@try.de",
              "firstName": "Maxine",
              "lastName": "Muller",
              "personalTitle": "Dr.",
              "salutation": "Frau",
              "additionalAddressInfo": "to care of: Mrs. Müller",
              "city": "Langenfeld",
              "country": "DE",
              "customAttributes": {},
              "houseNumber": "42a",
              "phoneNumbers": [
                {
                  "customAttributes": {},
                  "label": "text",
                  "type": "MOBILE",
                  "value": "text"
                }
              ],
              "postalCode": "40764",
              "province": "NRW",
              "street": "Hauptstr."
            },
            "recipientaddress": {
              "addressType": "POSTAL_ADDRESS",
              "companyName": "Speedy Boxales Ltd.",
              "coordinates": {
                "lat": 50.937531,
                "lon": 6.960279
              },
              "email": "test@try.de",
              "firstName": "Maxine",
              "lastName": "Muller",
              "personalTitle": "Dr.",
              "salutation": "Frau",
              "additionalAddressInfo": "to care of: Mrs. Müller",
              "city": "Langenfeld",
              "country": "DE",
              "customAttributes": {},
              "houseNumber": "42a",
              "phoneNumbers": [
                {
                  "customAttributes": {},
                  "label": "text",
                  "type": "MOBILE",
                  "value": "text"
                }
              ],
              "postalCode": "40764",
              "province": "NRW",
              "street": "Hauptstr."
            },
            "serviceLevel": "DELIVERY"
          }
        },
        "targetTime": "2020-02-03T09:45:51.525Z",
        "targetTimeBaseDate": "2020-02-03T08:45:50.525Z"
      },
      "expectedPickLineItems": [
        {
          "allowedSubstitutes": [
            {
              "attributes": [
                {
                  "valueLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "keyLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "category": "descriptive",
                  "context": {
                    "type": "FACILITY_GROUP",
                    "value": "text"
                  },
                  "key": "%%subtitle%%",
                  "priority": 100,
                  "type": "STRING",
                  "value": "585er Gold"
                }
              ],
              "imageUrl": "text",
              "measurementUnitKey": "liter",
              "measurementValidation": {
                "overPickHardTolerancePercentage": 20,
                "overPickSoftTolerancePercentage": 15,
                "shortPickHardTolerancePercentage": 15,
                "shortPickSoftTolerancePercentage": 10
              },
              "priority": 1,
              "scannableCodes": [
                "text"
              ],
              "secondaryMeasurementUnitKey": "gram",
              "tenantArticleId": "text",
              "title": "text"
            }
          ],
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ],
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1
          },
          "customAttributes": {},
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "partialStockLocations": [
            {
              "available": 21,
              "location": {
                "locationRef": "text",
                "scannableCodes": [
                  "text"
                ]
              },
              "quantity": 21,
              "ratingScore": 1,
              "sequenceScore": 1,
              "stockProperties": {
                "expiry": "text"
              },
              "stockRef": "text",
              "tenantPartialStockId": "text"
            }
          ],
          "quantity": 21,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "liter",
          "secondaryQuantity": 21,
          "stickers": [],
          "transferId": "text",
          "tags": []
        },
        {
          "id": "climk4dcQFiPdA5ULuhS"
        }
      ],
      "facilityRef": "Esb20gpHBL94X5NdMp3C",
      "operativeProcessRef": "text",
      "orderDate": "2020-02-03T08:45:50.525Z",
      "orderRef": "LGMl2DuvPnfPoSHhYFOm",
      "paymentInformation": {
        "currency": "EUR"
      },
      "pickingTimes": {
        "startLatestAt": "2024-02-03T09:45:51.525Z"
      },
      "pickLineItems": [
        {
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ],
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1
          },
          "customAttributes": {},
          "globalLineItemId": "a81f818e-2405-4570-8cde-b0c80fd3de31",
          "id": "climk4dcQFiPdA5ULuhS",
          "measurementUnitKey": "liter",
          "quantity": 21,
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "liter",
          "secondaryQuantity": 21,
          "allowedSubstitutes": [
            {
              "attributes": [
                {
                  "valueLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "keyLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "category": "descriptive",
                  "context": {
                    "type": "FACILITY_GROUP",
                    "value": "text"
                  },
                  "key": "%%subtitle%%",
                  "priority": 100,
                  "type": "STRING",
                  "value": "585er Gold"
                }
              ],
              "imageUrl": "text",
              "measurementUnitKey": "liter",
              "measurementValidation": {
                "overPickHardTolerancePercentage": 20,
                "overPickSoftTolerancePercentage": 15,
                "shortPickHardTolerancePercentage": 15,
                "shortPickSoftTolerancePercentage": 10
              },
              "priority": 1,
              "scannableCodes": [
                "text"
              ],
              "secondaryMeasurementUnitKey": "gram",
              "tenantArticleId": "text",
              "title": "text"
            }
          ],
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "originId": "df671041-10dd-4600-a2ff-e9ffe2556bba",
          "partialStockLocations": [
            {
              "available": 21,
              "location": {
                "locationRef": "text",
                "scannableCodes": [
                  "text"
                ]
              },
              "quantity": 21,
              "ratingScore": 1,
              "sequenceScore": 1,
              "stockProperties": {
                "expiry": "text"
              },
              "stockRef": "text",
              "tenantPartialStockId": "text"
            }
          ],
          "picked": 20,
          "pickedAt": "2024-02-03T08:45:51.525Z",
          "pickJobLineItemRef": "12345",
          "scannedCodes": [
            {
              "code": 1245678,
              "quantity": 7
            }
          ],
          "scanningRules": {
            "scanningMode": "MUST_SCAN_FIRST",
            "scanningType": [
              {
                "priority": 1,
                "scanningRuleType": "ARTICLE"
              }
            ]
          },
          "secondaryPicked": 20,
          "shortPickReason": {
            "reasonLocalized": "{ en_US: 'SomeName' }",
            "reason": "text"
          },
          "status": "OPEN",
          "stickers": [],
          "stockEmptied": true,
          "substituteLineItems": [
            {
              "article": {
                "titleLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "customAttributes": {},
                "imageUrl": "https://example.com/resource",
                "tenantArticleId": "4711",
                "title": "Cologne Water",
                "weight": 1,
                "attributes": [
                  {
                    "valueLocalized": {
                      "de_DE": "Wert",
                      "en_US": "Value",
                      "ru_RU": "значение"
                    },
                    "keyLocalized": {
                      "de_DE": "Wert",
                      "en_US": "Value",
                      "ru_RU": "значение"
                    },
                    "category": "descriptive",
                    "context": {
                      "type": "FACILITY_GROUP",
                      "value": "text"
                    },
                    "key": "%%subtitle%%",
                    "priority": 100,
                    "type": "STRING",
                    "value": "585er Gold"
                  }
                ]
              },
              "globalLineItemId": "text",
              "id": "text",
              "measurementUnitKey": "liter",
              "measurementValidation": {
                "overPickHardTolerancePercentage": 20,
                "overPickSoftTolerancePercentage": 15,
                "shortPickHardTolerancePercentage": 15,
                "shortPickSoftTolerancePercentage": 10
              },
              "partialStockLocations": [
                {
                  "location": {
                    "locationRef": "text",
                    "scannableCodes": [
                      "text"
                    ]
                  },
                  "picked": 21,
                  "quantity": 21,
                  "ratingScore": 1,
                  "sequenceScore": 1,
                  "stockProperties": {
                    "expiry": "text"
                  },
                  "stockRef": "text",
                  "tenantPartialStockId": "text",
                  "zoneName": "text"
                }
              ],
              "picked": 20,
              "pickedAt": "2024-02-03T08:45:51.525Z",
              "priority": 1,
              "quantity": 21,
              "refused": [
                {
                  "reasonLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "comment": "text",
                  "quantity": 1,
                  "reason": "text"
                }
              ],
              "scannableCodes": [
                "text"
              ],
              "secondaryMeasurementUnitKey": "gram",
              "secondaryPicked": 20,
              "secondaryQuantity": 200
            }
          ],
          "tags": []
        }
      ],
      "preferredPickingMethods": [
        "SINGLE_ORDER"
      ],
      "processId": "text",
      "routingPlanRef": "text",
      "shortId": "AS12",
      "status": "ABORTED",
      "stickers": [],
      "tenantOrderId": "R456728546",
      "transfers": [
        {
          "id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
          "type": "RECEIVER"
        }
      ],
      "workflowInformation": {
        "instanceRef": "64c13ab08edf48a008793cac",
        "isAvailable": true,
        "nodeRef": "text"
      },
      "tags": [],
      "created": "2020-02-03T08:45:51.525Z",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "version": 42,
      "anonymized": false,
      "documentHandling": {
        "sendLabel": {
          "enabled": false
        }
      },
      "documentsRef": "text",
      "editor": {
        "userId": "text",
        "username": "text"
      },
      "id": "Esb20gpHBL94X5NdMp3C",
      "pickingZones": [
        {
          "zoneRef": "text"
        }
      ],
      "pickRunRef": "text",
      "resetBlocked": false,
      "subStatus": "SHORT_PICKED",
      "usersModificationHistory": [
        {
          "modificationDate": "2026-01-01T00:00:00.000Z",
          "userId": "text",
          "username": "text"
        }
      ]
    }
  ],
  "total": 1
}

Get pick job

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pickJobIdstringRequired

ID of the pickjob you want to get

Responses
200

PickJob was found & you were allowed to access it. The result is in the body.

application/json

VersionedResource

customAttributesobjectOptional

Attributes that can be added to the pickjob. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

facilityRefstringRequired

The id of the facility reference. The given ID has to be present in the system.

Example: Esb20gpHBL94X5NdMp3C
operativeProcessRefstringOptional
orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
orderRefstringOptional

The id of the order reference. The given ID has to be present in the system.

Example: LGMl2DuvPnfPoSHhYFOm
processIdstringOptional

Id of the global process related to this entity. For example used for starting the GDPR process and others.

routingPlanRefstringOptional

Reference to the routingplan which created this pickjob

shortIdstringRequired

A short identifier that helps assigning a pickJob to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequired

The status of a pickjob.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
workflowInformationone ofRequired
or
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
documentsRefstringRequired

Reference to the documents collection from this entity

idstringRequired

The id of this pickjob. It is generated during creation automatically and suits as the primary identifier of the described entity.

Example: Esb20gpHBL94X5NdMp3C
pickRunRefstringOptional

Pick run id to which the pick job belongs

resetBlockedbooleanOptional

Indicates if pickJob can still be resetted or restarted

Default: false
statusReasonstringOptionalDeprecated

deprecated: Use subStatus instead. Maintained for backward compatibility.

subStatusstring · enumOptional

The reason for the current status.

Possible values:
get/api/pickjobs/{pickJobId}
GET /api/pickjobs/{pickJobId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "assignedUsers": [
    {
      "userId": "text",
      "username": "text"
    }
  ],
  "customAttributes": {},
  "deliveryinformation": {
    "channel": "COLLECT",
    "details": {
      "collect": {
        "identifier": "text",
        "paid": false
      },
      "shipping": {
        "carrierKey": "text",
        "carrierProduct": "EXPRESS",
        "carrierProductCategory": "STANDARD",
        "carrierServices": [
          "SIGNATURE"
        ],
        "identifier": "text",
        "invoiceAddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "postalAddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "recipientaddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "serviceLevel": "DELIVERY"
      }
    },
    "targetTime": "2020-02-03T09:45:51.525Z",
    "targetTimeBaseDate": "2020-02-03T08:45:50.525Z"
  },
  "expectedPickLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "partialStockLocations": [
        {
          "available": 21,
          "location": {
            "locationRef": "text",
            "scannableCodes": [
              "text"
            ]
          },
          "quantity": 21,
          "ratingScore": 1,
          "sequenceScore": 1,
          "stockProperties": {
            "expiry": "text"
          },
          "stockRef": "text",
          "tenantPartialStockId": "text"
        }
      ],
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "stickers": [],
      "transferId": "text",
      "tags": []
    },
    {
      "id": "climk4dcQFiPdA5ULuhS"
    }
  ],
  "facilityRef": "Esb20gpHBL94X5NdMp3C",
  "operativeProcessRef": "text",
  "orderDate": "2020-02-03T08:45:50.525Z",
  "orderRef": "LGMl2DuvPnfPoSHhYFOm",
  "paymentInformation": {
    "currency": "EUR"
  },
  "pickingTimes": {
    "startLatestAt": "2024-02-03T09:45:51.525Z"
  },
  "pickLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "a81f818e-2405-4570-8cde-b0c80fd3de31",
      "id": "climk4dcQFiPdA5ULuhS",
      "measurementUnitKey": "liter",
      "quantity": 21,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "originId": "df671041-10dd-4600-a2ff-e9ffe2556bba",
      "partialStockLocations": [
        {
          "available": 21,
          "location": {
            "locationRef": "text",
            "scannableCodes": [
              "text"
            ]
          },
          "quantity": 21,
          "ratingScore": 1,
          "sequenceScore": 1,
          "stockProperties": {
            "expiry": "text"
          },
          "stockRef": "text",
          "tenantPartialStockId": "text"
        }
      ],
      "picked": 20,
      "pickedAt": "2024-02-03T08:45:51.525Z",
      "pickJobLineItemRef": "12345",
      "scannedCodes": [
        {
          "code": 1245678,
          "quantity": 7
        }
      ],
      "scanningRules": {
        "scanningMode": "MUST_SCAN_FIRST",
        "scanningType": [
          {
            "priority": 1,
            "scanningRuleType": "ARTICLE"
          }
        ]
      },
      "secondaryPicked": 20,
      "shortPickReason": {
        "reasonLocalized": "{ en_US: 'SomeName' }",
        "reason": "text"
      },
      "status": "OPEN",
      "stickers": [],
      "stockEmptied": true,
      "substituteLineItems": [
        {
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "customAttributes": {},
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1,
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ]
          },
          "globalLineItemId": "text",
          "id": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "partialStockLocations": [
            {
              "location": {
                "locationRef": "text",
                "scannableCodes": [
                  "text"
                ]
              },
              "picked": 21,
              "quantity": 21,
              "ratingScore": 1,
              "sequenceScore": 1,
              "stockProperties": {
                "expiry": "text"
              },
              "stockRef": "text",
              "tenantPartialStockId": "text",
              "zoneName": "text"
            }
          ],
          "picked": 20,
          "pickedAt": "2024-02-03T08:45:51.525Z",
          "priority": 1,
          "quantity": 21,
          "refused": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "text",
              "quantity": 1,
              "reason": "text"
            }
          ],
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "secondaryPicked": 20,
          "secondaryQuantity": 200
        }
      ],
      "tags": []
    }
  ],
  "preferredPickingMethods": [
    "SINGLE_ORDER"
  ],
  "processId": "text",
  "routingPlanRef": "text",
  "shortId": "AS12",
  "status": "ABORTED",
  "stickers": [],
  "tenantOrderId": "R456728546",
  "transfers": [
    {
      "id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
      "type": "RECEIVER"
    }
  ],
  "workflowInformation": {
    "instanceRef": "64c13ab08edf48a008793cac",
    "isAvailable": true,
    "nodeRef": "text"
  },
  "tags": [],
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42,
  "anonymized": false,
  "documentHandling": {
    "sendLabel": {
      "enabled": false
    }
  },
  "documentsRef": "text",
  "editor": {
    "userId": "text",
    "username": "text"
  },
  "id": "Esb20gpHBL94X5NdMp3C",
  "pickingZones": [
    {
      "zoneRef": "text"
    }
  ],
  "pickRunRef": "text",
  "resetBlocked": false,
  "subStatus": "SHORT_PICKED",
  "usersModificationHistory": [
    {
      "modificationDate": "2026-01-01T00:00:00.000Z",
      "userId": "text",
      "username": "text"
    }
  ]
}

Call pick job action

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pickJobIdstringRequired

Reference to the pick job you want to call an action for

Body

PickJobActionsParameter

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
200

Updated PickJob in the body.

application/json

VersionedResource

customAttributesobjectOptional

Attributes that can be added to the pickjob. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

facilityRefstringRequired

The id of the facility reference. The given ID has to be present in the system.

Example: Esb20gpHBL94X5NdMp3C
operativeProcessRefstringOptional
orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
orderRefstringOptional

The id of the order reference. The given ID has to be present in the system.

Example: LGMl2DuvPnfPoSHhYFOm
processIdstringOptional

Id of the global process related to this entity. For example used for starting the GDPR process and others.

routingPlanRefstringOptional

Reference to the routingplan which created this pickjob

shortIdstringRequired

A short identifier that helps assigning a pickJob to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequired

The status of a pickjob.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
workflowInformationone ofRequired
or
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
documentsRefstringRequired

Reference to the documents collection from this entity

idstringRequired

The id of this pickjob. It is generated during creation automatically and suits as the primary identifier of the described entity.

Example: Esb20gpHBL94X5NdMp3C
pickRunRefstringOptional

Pick run id to which the pick job belongs

resetBlockedbooleanOptional

Indicates if pickJob can still be resetted or restarted

Default: false
statusReasonstringOptionalDeprecated

deprecated: Use subStatus instead. Maintained for backward compatibility.

subStatusstring · enumOptional

The reason for the current status.

Possible values:
post/api/pickjobs/{pickJobId}/actions
POST /api/pickjobs/{pickJobId}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "name": "ABORT",
  "version": 1
}
{
  "assignedUsers": [
    {
      "userId": "text",
      "username": "text"
    }
  ],
  "customAttributes": {},
  "deliveryinformation": {
    "channel": "COLLECT",
    "details": {
      "collect": {
        "identifier": "text",
        "paid": false
      },
      "shipping": {
        "carrierKey": "text",
        "carrierProduct": "EXPRESS",
        "carrierProductCategory": "STANDARD",
        "carrierServices": [
          "SIGNATURE"
        ],
        "identifier": "text",
        "invoiceAddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "postalAddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "recipientaddress": {
          "addressType": "POSTAL_ADDRESS",
          "companyName": "Speedy Boxales Ltd.",
          "coordinates": {
            "lat": 50.937531,
            "lon": 6.960279
          },
          "email": "test@try.de",
          "firstName": "Maxine",
          "lastName": "Muller",
          "personalTitle": "Dr.",
          "salutation": "Frau",
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        },
        "serviceLevel": "DELIVERY"
      }
    },
    "targetTime": "2020-02-03T09:45:51.525Z",
    "targetTimeBaseDate": "2020-02-03T08:45:50.525Z"
  },
  "expectedPickLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "partialStockLocations": [
        {
          "available": 21,
          "location": {
            "locationRef": "text",
            "scannableCodes": [
              "text"
            ]
          },
          "quantity": 21,
          "ratingScore": 1,
          "sequenceScore": 1,
          "stockProperties": {
            "expiry": "text"
          },
          "stockRef": "text",
          "tenantPartialStockId": "text"
        }
      ],
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "stickers": [],
      "transferId": "text",
      "tags": []
    },
    {
      "id": "climk4dcQFiPdA5ULuhS"
    }
  ],
  "facilityRef": "Esb20gpHBL94X5NdMp3C",
  "operativeProcessRef": "text",
  "orderDate": "2020-02-03T08:45:50.525Z",
  "orderRef": "LGMl2DuvPnfPoSHhYFOm",
  "paymentInformation": {
    "currency": "EUR"
  },
  "pickingTimes": {
    "startLatestAt": "2024-02-03T09:45:51.525Z"
  },
  "pickLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "a81f818e-2405-4570-8cde-b0c80fd3de31",
      "id": "climk4dcQFiPdA5ULuhS",
      "measurementUnitKey": "liter",
      "quantity": 21,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "originId": "df671041-10dd-4600-a2ff-e9ffe2556bba",
      "partialStockLocations": [
        {
          "available": 21,
          "location": {
            "locationRef": "text",
            "scannableCodes": [
              "text"
            ]
          },
          "quantity": 21,
          "ratingScore": 1,
          "sequenceScore": 1,
          "stockProperties": {
            "expiry": "text"
          },
          "stockRef": "text",
          "tenantPartialStockId": "text"
        }
      ],
      "picked": 20,
      "pickedAt": "2024-02-03T08:45:51.525Z",
      "pickJobLineItemRef": "12345",
      "scannedCodes": [
        {
          "code": 1245678,
          "quantity": 7
        }
      ],
      "scanningRules": {
        "scanningMode": "MUST_SCAN_FIRST",
        "scanningType": [
          {
            "priority": 1,
            "scanningRuleType": "ARTICLE"
          }
        ]
      },
      "secondaryPicked": 20,
      "shortPickReason": {
        "reasonLocalized": "{ en_US: 'SomeName' }",
        "reason": "text"
      },
      "status": "OPEN",
      "stickers": [],
      "stockEmptied": true,
      "substituteLineItems": [
        {
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "customAttributes": {},
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1,
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ]
          },
          "globalLineItemId": "text",
          "id": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "partialStockLocations": [
            {
              "location": {
                "locationRef": "text",
                "scannableCodes": [
                  "text"
                ]
              },
              "picked": 21,
              "quantity": 21,
              "ratingScore": 1,
              "sequenceScore": 1,
              "stockProperties": {
                "expiry": "text"
              },
              "stockRef": "text",
              "tenantPartialStockId": "text",
              "zoneName": "text"
            }
          ],
          "picked": 20,
          "pickedAt": "2024-02-03T08:45:51.525Z",
          "priority": 1,
          "quantity": 21,
          "refused": [
            {
              "reasonLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "comment": "text",
              "quantity": 1,
              "reason": "text"
            }
          ],
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "secondaryPicked": 20,
          "secondaryQuantity": 200
        }
      ],
      "tags": []
    }
  ],
  "preferredPickingMethods": [
    "SINGLE_ORDER"
  ],
  "processId": "text",
  "routingPlanRef": "text",
  "shortId": "AS12",
  "status": "ABORTED",
  "stickers": [],
  "tenantOrderId": "R456728546",
  "transfers": [
    {
      "id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
      "type": "RECEIVER"
    }
  ],
  "workflowInformation": {
    "instanceRef": "64c13ab08edf48a008793cac",
    "isAvailable": true,
    "nodeRef": "text"
  },
  "tags": [],
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42,
  "anonymized": false,
  "documentHandling": {
    "sendLabel": {
      "enabled": false
    }
  },
  "documentsRef": "text",
  "editor": {
    "userId": "text",
    "username": "text"
  },
  "id": "Esb20gpHBL94X5NdMp3C",
  "pickingZones": [
    {
      "zoneRef": "text"
    }
  ],
  "pickRunRef": "text",
  "resetBlocked": false,
  "subStatus": "SHORT_PICKED",
  "usersModificationHistory": [
    {
      "modificationDate": "2026-01-01T00:00:00.000Z",
      "userId": "text",
      "username": "text"
    }
  ]
}

Get pick job delivery note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pickJobIdstringRequired

ID of the pick job for which you want to get a deliverynote

Query parameters
localestringOptional

Provide the localized values for the delivery note. If not provided the default locale is used. For example de_DE

Responses
200

The deliverynote for the given pickjob

application/pdf
get/api/pickjobs/{pickJobId}/deliverynote
GET /api/pickjobs/{pickJobId}/deliverynote HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Get pick job document handling

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pickJobIdstringRequired

ID of the pick job you want to get document handling information

Responses
200

Pick job document handling was found & you were allowed to access it. The result is in the body.

application/json

DocumentHandling

get/api/pickjobs/{pickJobId}/documenthandling
GET /api/pickjobs/{pickJobId}/documenthandling HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "sendLabel": {
    "enabled": false
  }
}

Get pick job transfer label

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pickJobIdstringRequired

ID of the pick job for which you want to get a transfer label

Responses
200

The transfer label for the given pickjob

application/pdf
get/api/pickjobs/{pickJobId}/transferlabel
GET /api/pickjobs/{pickJobId}/transferlabel HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Create pick job load unit

post

Create new load units for the given pick job

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pickJobIdstringRequired
Body

PickingLoadUnitForCreation

codesstring[] · min: 1 · max: 100Required

List of codes

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

loadUnitTypeRefstringOptionalDeprecated

Use operativeContainerTypeRef instead.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
operativeContainerTypeRefstringOptional

the reference to the operativeContainerType

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
stackRefstringOptional

the reference to the stackRef this loadUnit is part of

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
storageLocationRefstringOptional

the reference to the storage location this load unit as been placed into

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
Responses
201

The load units was successfully created.

application/json

LoadUnit

codesstring[] · max: 100Optional

List of codes

createdstring · date-timeRequired

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

descriptionstringOptional
facilityRefstringRequired

The id of the facility reference. The given ID has to be present in the system. But it is not updatable via PUT request

Example: Esb20gpHBL94X5NdMp3C
iconUrlstringOptional
idstringRequired

Unique identifier for the load unit

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
loadUnitTypeRefstringOptionalDeprecated

Use operativeContainerTypeRef instead.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
namestringOptional
operativeContainerTypeRefstringOptional

the reference to the operativeContainerType

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
operativeProcessRefstring · min: 1Optional

Reference to related operative process

Example: 019f5b8e-d580-767f-a28d-3fe569bd0064
pickJobRefsstring[] · min: 1 · max: 100Required

List of corresponding pickjob Ids

Example: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
stackRefstringOptional

the reference to the stackRef this loadUnit is part of

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
statusstring · enumRequired

The status of the load unit. It can be AVAILABLE or OBSOLETE. The status cannot be set from outside. When a load unit is created, it is automatically set to AVAILABLE. When a load unit is deleted, it is automatically set to OBSOLETE.

Default: AVAILABLEExample: AVAILABLEPossible values:
storageLocationRefstringOptional

the reference to the storage location this load unit as been placed into

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
versionintegerRequired

Version number for optimistic locking

Example: 1
weightLimitInGnumber · min: 1Optional

Maximal weight in gramm(gr) the loadunit can handle.

post/api/pickjobs/{pickJobId}/loadunits
POST /api/pickjobs/{pickJobId}/loadunits HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1719

{
  "codes": [
    "text"
  ],
  "customAttributes": {},
  "loadUnitLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "text",
        "tenantArticleId": "text",
        "title": "text",
        "weight": 1
      },
[...]
